# std::integral_constant< _Tp, __v > Struct Template Reference
[Type Traits]

integral_constant More...

Inherited by std::__is_member_object_pointer_helper< typename >, std::__is_pointer_helper< typename >, std::chrono::__is_duration< _Tp >, std::is_array< typename >, std::is_const< typename >, std::is_function< typename >, std::is_rvalue_reference< typename >, and std::tr1::__is_signed_helper< typename >.

List of all members.

## Public Types

- typedef integral_constant< _Tp,
  __v > type
- typedef _Tp value_type

## Static Public Attributes

- static const _Tp value

## Detailed Description

### template<typename _Tp, _Tp __v>
struct std::integral_constant< _Tp, __v >

integral_constant

Definition at line 67 of file tr1_impl/type_traits.

The documentation for this struct was generated from the following file:

- tr1_impl/type_traits